# SSL_SOCK.h File Reference

`#include "SSL_Export.h"`
`#include "ace/SOCK.h"`
`#include "SSL_SOCK.i"`

Include dependency graph for SSL_SOCK.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_SSL_SOCK
| An abstract class that forms the basis for more specific classes, such as "ACE_SSL_SOCK_Acceptor" and "ACE_SSL_SOCK_Stream". Do not instantiate this class. More...

## Defines

#define | ACE_SSL_SOCK_ACCEPTOR ACE_SSL_SOCK_Acceptor
#define | ACE_SSL_SOCK_CONNECTOR ACE_SSL_SOCK_Connector
#define | ACE_SSL_SOCK_STREAM ACE_SSL_SOCK_Stream

## Detailed Description

Id
  SSL_SOCK.h,v 1.7 2005/10/28 16:14:56 ossama Exp

Author:
  Ossama Othman <ossama@ece.uci.edu>

## Define Documentation

#define ACE_SSL_SOCK_ACCEPTOR ACE_SSL_SOCK_Acceptor

#define ACE_SSL_SOCK_CONNECTOR ACE_SSL_SOCK_Connector

#define ACE_SSL_SOCK_STREAM ACE_SSL_SOCK_Stream